# HTML with Complex Formatting

This document contains complex text formatting and mixed elements.

## Inline Formatting Combinations

Here's text with **bold**, *italic*, and ***bold italic*** formatting. We can also have `inline code`, highlighted text, ~~strikethrough~~, and inserted text.

Complex combinations: **Bold with *italic inside* and `code inside` too**. Another example: *Italic with **bold inside** and ~~strikethrough inside~~*.

## Superscript and Subscript

Mathematical formulas: E=mc², H₂O

Complex example: (a² + b²)¹/² = c

## Mixed Block and Inline Elements

A paragraph **with bold text** inside a div.

> A blockquote with *italic text* and a [link](https://example.com).
> 
> And a paragraph inside the blockquote with `code`.

## Definition Lists

HTML
: HyperText Markup Language, a **standardized** system for tagging text files.

CSS
: Cascading Style Sheets, used to *describe* the look and formatting of a document.

JavaScript
: A programming language used to create `interactive` effects.

## Nested Lists with Formatting

- **Bold list item**
  1. *Italic numbered item*
  2. `Code numbered item`
     - ***Bold italic nested item***
- Regular list item with [**formatted *link***](#)

## Preformatted Text

```
    This is preformatted text.
        It preserves both spaces
      and line breaks.
```

## Code Blocks with Formatting

```
function greet(name) {
    // This is a comment
    console.log("Hello, " + name + "!");
}

greet("World");
```